be.ehealth.businessconnector.hubv3.service

## Interface HubTokenService

- All Known Implementing Classes:
    HubTokenServiceImpl

      public interface HubTokenService

  The Interface HubTokenService. Default impl : `HubTokenServiceImpl` Factory : `ServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeclareTransactionResponse` | `declareTransaction(SAMLToken token, DeclareTransactionRequest request, String breakTheGlass)` Declare transaction.
    `GetAccessRightResponse` | `getAccessRight(SAMLToken token, GetAccessRightRequest request, String breakTheGlass)` Gets the access right.
    `GetHCPartyResponse` | `getHCParty(SAMLToken token, GetHCPartyRequest request, String breakTheGlass)` Gets the hC party.
    `GetHCPartyConsentResponse` | `getHCPartyConsent(SAMLToken token, GetHCPartyConsentRequest request, String breakTheGlass)` Gets the hC party consent.
    `GetLatestUpdateResponse` | `getLatestUpdate(SAMLToken token, GetLatestUpdateRequest request, String breakTheGlass)`
    `GetPatientResponse` | `getPatient(SAMLToken token, GetPatientRequest request, String breakTheGlass)` Gets the patient.
    `GetPatientAuditTrailResponse` | `getPatientAuditTrail(SAMLToken token, GetPatientAuditTrailRequest request, Paginationrequestinfo paginationrequestinfo, String breakTheGlass)` Gets the patient audit trail.
    `GetPatientAuditTrailResponse` | `getPatientAuditTrail(SAMLToken token, GetPatientAuditTrailRequest request, String breakTheGlass)` Gets the patient audit trail.
    `GetPatientConsentResponse` | `getPatientConsent(SAMLToken token, GetPatientConsentRequest request, String breakTheGlass)` Gets the patient consent.
    `GetTherapeuticLinkResponse` | `getTherapeuticLink(SAMLToken token, GetTherapeuticLinkRequest request, String breakTheGlass)` Gets the therapeutic link.
    `GetTransactionResponse` | `getTransaction(SAMLToken token, GetTransactionRequest request, String breakTheGlass)` Gets the transaction.
    `GetTransactionListResponse` | `getTransactionList(SAMLToken token, GetTransactionListRequest getTransactionListRequest, Paginationrequestinfo pagReqInfo, String breakTheGlass)` Gets the transaction list.
    `GetTransactionListResponse` | `getTransactionList(SAMLToken token, GetTransactionListRequest getTransactionListRequest, String breakTheGlass)` Gets the transaction list.
    `GetTransactionSetResponse` | `getTransactionSet(SAMLToken token, GetTransactionSetRequest request, String breakTheGlass)` Gets the transaction set.
    `PutAccessRightResponse` | `putAccessRight(SAMLToken token, PutAccessRightRequest request, String breakTheGlass)` Put access right.
    `PutHCPartyResponse` | `putHCParty(SAMLToken token, PutHCPartyRequest request, String breakTheGlass)` Put hc party.
    `PutHCPartyConsentResponse` | `putHCPartyConsent(SAMLToken token, PutHCPartyConsentRequest request, String breakTheGlass)` Put hc party consent.
    `PutPatientResponse` | `putPatient(SAMLToken token, PutPatientRequest request, String breakTheGlass)` Put patient.
    `PutPatientConsentResponse` | `putPatientConsent(SAMLToken token, PutPatientConsentRequest request, String breakTheGlass)` Put patient consent.
    `PutTherapeuticLinkResponse` | `putTherapeuticLink(SAMLToken token, PutTherapeuticLinkRequest request, String breakTheGlass)` Put therapeutic link.
    `PutTransactionResponse` | `putTransaction(SAMLToken token, PutTransactionRequest request, String breakTheGlass)` Put transaction.
    `PutTransactionSetResponse` | `putTransactionSet(SAMLToken token, PutTransactionSetRequest request, String breakTheGlass)` Put transaction set.
    `RequestPublicationResponse` | `requestPublication(SAMLToken token, RequestPublicationRequest request, String breakTheGlass)` Request publication.
    `RevokeAccessRightResponse` | `revokeAccessRight(SAMLToken token, RevokeAccessRightRequest request, String breakTheGlass)` Revoke access right.
    `RevokeHCPartyConsentResponse` | `revokeHCPartyConsent(SAMLToken token, RevokeHCPartyConsentRequest request, String breakTheGlass)` Revoke hc party consent.
    `RevokePatientConsentResponse` | `revokePatientConsent(SAMLToken token, RevokePatientConsentRequest request, String breakTheGlass)` Revoke patient consent.
    `RevokeTherapeuticLinkResponse` | `revokeTherapeuticLink(SAMLToken token, RevokeTherapeuticLinkRequest request, String breakTheGlass)` Revoke therapeutic link.
    `RevokeTransactionResponse` | `revokeTransaction(SAMLToken token, RevokeTransactionRequest request, String breakTheGlass)` Revoke transaction.

- - ### Method Detail

    - #### declareTransaction

          DeclareTransactionResponse declareTransaction(SAMLToken token,
                                                        DeclareTransactionRequest request,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException

      Declare transaction.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the declare transaction response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### putTransaction

          PutTransactionResponse putTransaction(SAMLToken token,
                                                PutTransactionRequest request,
                                                String breakTheGlass)
                                         throws IntraHubBusinessConnectorException,
                                                TechnicalConnectorException

      Put transaction.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the put set transaction response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### revokeTransaction

          RevokeTransactionResponse revokeTransaction(SAMLToken token,
                                                      RevokeTransactionRequest request,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException

      Revoke transaction.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the revoke transaction response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getTransactionList

          GetTransactionListResponse getTransactionList(SAMLToken token,
                                                        GetTransactionListRequest getTransactionListRequest,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException

      Gets the transaction list.
      Parameters:
        `token` - the token
        `getTransactionListRequest` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the transaction list
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getTransactionList

          GetTransactionListResponse getTransactionList(SAMLToken token,
                                                        GetTransactionListRequest getTransactionListRequest,
                                                        Paginationrequestinfo pagReqInfo,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException

      Gets the transaction list.
      Parameters:
        `token` - the token
        `getTransactionListRequest` - the request
        `pagReqInfo` - Informations for pagination
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the transaction list
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getTransaction

          GetTransactionResponse getTransaction(SAMLToken token,
                                                GetTransactionRequest request,
                                                String breakTheGlass)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

      Gets the transaction.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the transaction
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### requestPublication

          RequestPublicationResponse requestPublication(SAMLToken token,
                                                        RequestPublicationRequest request,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException

      Request publication.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the request publication response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### putHCParty

          PutHCPartyResponse putHCParty(SAMLToken token,
                                        PutHCPartyRequest request,
                                        String breakTheGlass)
                                 throws TechnicalConnectorException

      Put hc party.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the put hc party response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getHCParty

          GetHCPartyResponse getHCParty(SAMLToken token,
                                        GetHCPartyRequest request,
                                        String breakTheGlass)
                                 throws TechnicalConnectorException

      Gets the hC party.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the hC party
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### putPatient

          PutPatientResponse putPatient(SAMLToken token,
                                        PutPatientRequest request,
                                        String breakTheGlass)
                                 throws TechnicalConnectorException

      Put patient.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the put patient response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getPatient

          GetPatientResponse getPatient(SAMLToken token,
                                        GetPatientRequest request,
                                        String breakTheGlass)
                                 throws TechnicalConnectorException

      Gets the patient.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the patient
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### putHCPartyConsent

          PutHCPartyConsentResponse putHCPartyConsent(SAMLToken token,
                                                      PutHCPartyConsentRequest request,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException

      Put hc party consent.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the put hc party consent response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getHCPartyConsent

          GetHCPartyConsentResponse getHCPartyConsent(SAMLToken token,
                                                      GetHCPartyConsentRequest request,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException

      Gets the hC party consent.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the hC party consent
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### revokeHCPartyConsent

          RevokeHCPartyConsentResponse revokeHCPartyConsent(SAMLToken token,
                                                            RevokeHCPartyConsentRequest request,
                                                            String breakTheGlass)
                                                     throws TechnicalConnectorException

      Revoke hc party consent.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the revoke hc party consent response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### putPatientConsent

          PutPatientConsentResponse putPatientConsent(SAMLToken token,
                                                      PutPatientConsentRequest request,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException

      Put patient consent.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the put patient consent response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getPatientConsent

          GetPatientConsentResponse getPatientConsent(SAMLToken token,
                                                      GetPatientConsentRequest request,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException

      Gets the patient consent.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the patient consent
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### revokePatientConsent

          RevokePatientConsentResponse revokePatientConsent(SAMLToken token,
                                                            RevokePatientConsentRequest request,
                                                            String breakTheGlass)
                                                     throws TechnicalConnectorException

      Revoke patient consent.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the revoke patient consent response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### putTherapeuticLink

          PutTherapeuticLinkResponse putTherapeuticLink(SAMLToken token,
                                                        PutTherapeuticLinkRequest request,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException

      Put therapeutic link.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the put therapeutic link response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getTherapeuticLink

          GetTherapeuticLinkResponse getTherapeuticLink(SAMLToken token,
                                                        GetTherapeuticLinkRequest request,
                                                        String breakTheGlass)
                                                 throws TechnicalConnectorException

      Gets the therapeutic link.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the therapeutic link
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### revokeTherapeuticLink

          RevokeTherapeuticLinkResponse revokeTherapeuticLink(SAMLToken token,
                                                              RevokeTherapeuticLinkRequest request,
                                                              String breakTheGlass)
                                                       throws TechnicalConnectorException

      Revoke therapeutic link.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the revoke therapeutic link response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### putAccessRight

          PutAccessRightResponse putAccessRight(SAMLToken token,
                                                PutAccessRightRequest request,
                                                String breakTheGlass)
                                         throws TechnicalConnectorException

      Put access right.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the put access right response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getAccessRight

          GetAccessRightResponse getAccessRight(SAMLToken token,
                                                GetAccessRightRequest request,
                                                String breakTheGlass)
                                         throws TechnicalConnectorException

      Gets the access right.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the access right
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### revokeAccessRight

          RevokeAccessRightResponse revokeAccessRight(SAMLToken token,
                                                      RevokeAccessRightRequest request,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException

      Revoke access right.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the revoke access right response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getPatientAuditTrail

          GetPatientAuditTrailResponse getPatientAuditTrail(SAMLToken token,
                                                            GetPatientAuditTrailRequest request,
                                                            String breakTheGlass)
                                                     throws TechnicalConnectorException

      Gets the patient audit trail.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
        `request` - the request
      Returns:
        the patient audit trail
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getPatientAuditTrail

          GetPatientAuditTrailResponse getPatientAuditTrail(SAMLToken token,
                                                            GetPatientAuditTrailRequest request,
                                                            Paginationrequestinfo paginationrequestinfo,
                                                            String breakTheGlass)
                                                     throws TechnicalConnectorException

      Gets the patient audit trail.
      Parameters:
        `token` - the token
        `request` - the request
        `paginationrequestinfo` - Informations for pagination
        `breakTheGlass` - Indicates the request as "break-the-glass"
        `request` - the request
      Returns:
        the patient audit trail
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### putTransactionSet

          PutTransactionSetResponse putTransactionSet(SAMLToken token,
                                                      PutTransactionSetRequest request,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException,
                                                      IntraHubBusinessConnectorException

      Put transaction set.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the put transaction response
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getTransactionSet

          GetTransactionSetResponse getTransactionSet(SAMLToken token,
                                                      GetTransactionSetRequest request,
                                                      String breakTheGlass)
                                               throws TechnicalConnectorException

      Gets the transaction set.
      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the transaction set
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

    - #### getLatestUpdate

          GetLatestUpdateResponse getLatestUpdate(SAMLToken token,
                                                  GetLatestUpdateRequest request,
                                                  String breakTheGlass)
                                           throws TechnicalConnectorException

      Parameters:
        `token` - the token
        `request` - the request
        `breakTheGlass` - Indicates the request as "break-the-glass"
      Returns:
        the latest update
      Throws:
        `IntraHubBusinessConnectorException`
        `TechnicalConnectorException`

Connector Packaging PERSNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.